#include <iostream>
using namespace std;
int zbir(int broj)
{
    int p = 0;
    for (int i = 1; i<=broj;i++)
    {
        p=p+i;
    }
    return p;
}
int minpotrebnoban(int brojucenika,int grupa)
{
    int rez = 0;
    int niz[grupa];
    int sadasnje;
    int ostalo;
    int podeliti;
    int brojac = 1;
    int potrebno;
    if (grupa == 1)
    {
        for (int k = 1; k<=brojucenika;k++)
        {
            rez+=k;
        }

        return rez;
    }
    if (brojucenika==grupa)
    {
        return brojucenika;
    }
    if (brojucenika == grupa+1)
    {
        return 3+grupa-1;
    }
    sadasnje = brojucenika/grupa;
    ostalo = brojucenika-sadasnje;
    niz[0]=sadasnje;
    for (int i = 1; i<grupa; i++)
    {
        if (i==grupa-1)
        {
            niz[i] = niz[0];
            podeliti = ostalo-niz[0];
            break;
        }
        sadasnje = ostalo/grupa;
        ostalo = ostalo-sadasnje;
        niz[i]=sadasnje;
    }
    while(podeliti >0)
    {
        potrebno = niz[0]-niz[brojac];
        if (potrebno>podeliti)
        {
            niz[brojac]=niz[brojac]+podeliti;
            podeliti = 0;
        }
        else
        {
            niz[brojac]=niz[brojac]+potrebno;
            podeliti-=potrebno;
        }
        if(brojac==grupa-1 && podeliti>0)
        {
            break;
        }
        brojac++;
    }
    brojac = 1;
    while (podeliti>0)
    {
        potrebno = 1;
        niz[brojac]++;
        podeliti--;
        if(brojac==grupa-1 && podeliti>0)
        {
            brojac = 1;
        }
        brojac++;
    }
    for (int s = 0; s<grupa;s++)
    {
        rez= rez + zbir(niz[s]);
    }
    return rez;


}

int main()
{
    int t;
    int brojucenika;
    int krembananica;
    int grupa;
    cin >> t;
    string rez[t];
    for (int i = 0; i<t;i++)
    {
        cin >> brojucenika >> krembananica >> grupa;
        if (minpotrebnoban(brojucenika,grupa)<=krembananica)
        {
            rez[i]="Tak";

        }
        else
        {
            rez[i]="Nie";
        }
    }

    for (int k = 0; k<t;k++)
    {
        cout << rez[k]<<endl;
    }
}